## javax.servlet.jsp
Class JspTagException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--javax.servlet.jsp.JspException
                        |
                        +--javax.servlet.jsp.JspTagException

All Implemented Interfaces:
  java.io.Serializable

public class JspTagException
extends JspException

Exception to be used by a Tag Handler to indicate some unrecoverable error. This error is to be caught by the top level of the JSP page and will result in an error page.

See Also:
  Serialized Form

Constructor Summary
`JspTagException()` No message
`JspTagException(java.lang.String msg)` Constructor with a message.

Methods inherited from class javax.servlet.jsp.JspException
`getRootCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JspTagException

    public JspTagException(java.lang.String msg)

  Constructor with a message.

### JspTagException

    public JspTagException()

  No message

Copyright © 1999-2002 The Apache Software Foundation. All Rights Reserved.